import { OnInit, TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TooltipComponent implements OnInit {
    content: TemplateRef<HTMLElement> | string;
    constructor();
    ngOnInit(): void;
    get contentType(): 'primitive' | 'template';
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TooltipComponent, "[ui-tooltip]", never, { "content": "ui-tooltip"; }, {}, never, ["*"]>;
}
